Package: groovy.transform

## [Java] Annotation Type Generated

- groovy.transform.Generated

-     @Target({ElementType.CONSTRUCTOR, ElementType.METHOD, ElementType.FIELD, ElementType.TYPE})
      @Retention(RetentionPolicy.RUNTIME)
      public @interface Generated

  Marks class members that have been generated by the compiler.

  Since:
    2.5.0

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`